module.exports = class RuntimeError extends Error {
  constructor(message, cause) {
    super(message)
    if (cause) {
      this._cause = cause
      this.stack = this.stack + '\nCause by ' + cause.stack
    }
  }

  get cause() {
    return this._cause
  }
}
