module.exports = class HttpRequest {
  constructor(req) {
    this._req = req
  }
  get originalUrl() {
    return this._req.originalUrl
  }

  get path() {
    return this._req.path
  }

  get params() {
    return this._req.params
  }

  get query() {
    return this._query || this._req.query
  }

  set query(value) {
    this._query = value
  }

  get body() {
    return this._body || this._req.body
  }

  set body(value) {
    this._body = value
  }

  get files() {
    return this._files || this._req.files
  }

  set files(value) {
    this._files = value
  }

  get cookies() {
    return this._req.cookies
  }

  get ip() {
    return this._req.ip
  }

  getHeader(name) {
    return this._req.get(name)
  }

}
